package l2vote;

import l2.commons.configuration.ExProperties;
import l2.gameserver.scripts.ScriptFile;

public class Config {
    public static  String API_URL_TEMPLATE = "https://api.l2vote.bot/api/votes/server/%s/votes/today";
    public static  String API_KEY; // Укажите ваш API-ключ
    public static  int SERVER_ID; // ID сервера
    public static  int POLLING_DELAY_MINUTES;
    public static String[] L2VoteRewardItemId;
    public static boolean L2VoteRewardItemRandom;
    public static boolean ALLOW_MULTIPLE_REWARDS;
    public static boolean ENABLE_CHECK_IP;
    public static boolean ENABLE_CHECK_HWID;
    public static void loadAISettings() {
        ExProperties properties = l2.gameserver.Config.load("config/l2vote.properties");
        API_KEY = properties.getProperty("ApiKey", "8PwInnBNfbYqhUTe7P2bD7Oki_uLjRrw");
        ALLOW_MULTIPLE_REWARDS= properties.getProperty("ALLOW_MULTIPLE_REWARDS", true);
        API_URL_TEMPLATE= properties.getProperty("API_URL_TEMPLATE", "https://api.l2vote.bot/api/votes/server/%s/votes/today");
        SERVER_ID = properties.getProperty("ServerId", 159);
        L2VoteRewardItemId = properties.getProperty("L2VoteRewardItemId", "57:1;4037:1").split(";");
        L2VoteRewardItemRandom = properties.getProperty("L2VoteRewardItemRandom", false);
        POLLING_DELAY_MINUTES=properties.getProperty("POLLING_DELAY_MINUTES",1)*1000*60;
        ENABLE_CHECK_IP=properties.getProperty("EnableCheckIp", false);
        ENABLE_CHECK_HWID=properties.getProperty("EnableCheckHwid", false);
    }


}
